Name:           obs-event-plugin
Version:        0.1.8
Release:        1
License:        Intel Proprietary
Summary:        Plugin for OBS to trigger jenkins build
Url:            http://www.tizen.org
Group:          Development/Tools/Building
Source:         %{name}-%{version}.tar.gz
Requires:       perl-JSON-XS
Requires:       perl-common-sense
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Plugin for OBS, to trigger Jenkins job from URL. Depends on the plugin
Parameterized Trigger.

%prep
%setup -q -c

%build
true

%install
install -d %{buildroot}/usr/lib/obs/server/plugins/
install BuildMonitorDB.pm notify_jenkins.pm notify_buildmonitor.pm build_monitor_db.conf.template %{buildroot}/usr/lib/obs/server/plugins/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%dir %{_prefix}/lib/obs/
%dir %{_prefix}/lib/obs/server/
%dir %{_prefix}/lib/obs/server/plugins/
%{_prefix}/lib/obs/server/plugins/notify_jenkins.pm
%{_prefix}/lib/obs/server/plugins/notify_buildmonitor.pm
%{_prefix}/lib/obs/server/plugins/BuildMonitorDB.pm
%{_prefix}/lib/obs/server/plugins/build_monitor_db.conf.template

%changelog
